import { IDisposable } from '../common/lifecycle';
import { IDataStore, IMatcher } from '../services/datastore';
import { FoamWorkspace } from './workspace';
import { FoamGraph } from './graph';
import { ResourceParser } from './note';
import { ResourceProvider } from './provider';
import { FoamTags } from './tags';
export interface Services {
    dataStore: IDataStore;
    parser: ResourceParser;
    matcher: IMatcher;
}
export interface Foam extends IDisposable {
    services: Services;
    workspace: FoamWorkspace;
    graph: FoamGraph;
    tags: FoamTags;
}
export declare const bootstrap: (matcher: IMatcher, dataStore: IDataStore, initialProviders: ResourceProvider[]) => Promise<Foam>;
