import { Position } from './position';
export interface Range {
    start: Position;
    end: Position;
}
export declare abstract class Range {
    static create(startLine: number, startChar: number, endLine?: number, endChar?: number): Range;
    static createFromPosition(start: Position, end?: Position): {
        start: {
            line: number;
            character: number;
        };
        end: {
            line: number;
            character: number;
        };
    };
    static containsRange(range: Range, contained: Range): boolean;
    static containsPosition(range: Range, position: Position): boolean;
    static isEqual(r1: Range, r2: Range): boolean;
    static isBefore(a: Range, b: Range): number;
}
