import { FoamWorkspace } from './workspace';
import { URI } from './uri';
import { Resource } from './note';
import { IDisposable } from '../common/lifecycle';
export declare class FoamTags implements IDisposable {
    readonly tags: Map<string, URI[]>;
    /**
     * List of disposables to destroy with the tags
     */
    private disposables;
    /**
     * Computes all tags in the workspace and keep them up-to-date
     *
     * @param workspace the target workspace
     * @param keepMonitoring whether to recompute the links when the workspace changes
     * @returns the FoamTags
     */
    static fromWorkspace(workspace: FoamWorkspace, keepMonitoring?: boolean): FoamTags;
    dispose(): void;
    updateResourceWithinTagIndex(oldResource: Resource, newResource: Resource): void;
    addResourceFromTagIndex(resource: Resource): void;
    removeResourceFromTagIndex(resource: Resource): void;
}
