export declare class URI {
    readonly scheme: string;
    readonly authority: string;
    readonly path: string;
    readonly query: string;
    readonly fragment: string;
    constructor(from?: Partial<URI>);
    static parse(value: string): URI;
    static file(value: string): URI;
    static placeholder(path: string): URI;
    resolve(value: string | URI, isDirectory?: boolean): URI;
    isAbsolute(): boolean;
    getDirectory(): URI;
    getBasename(): string;
    getName(): string;
    getExtension(): string;
    changeExtension(from: string, to: string): URI;
    joinPath(...paths: string[]): URI;
    relativeTo(uri: URI): URI;
    withFragment(fragment: string): URI;
    isPlaceholder(): boolean;
    toFsPath(): string;
    toString(): string;
    isMarkdown(): boolean;
    isEqual(uri: URI): boolean;
}
