import { URI } from '../core/model/uri';
import { FoamWorkspace } from '../core/model/workspace';
import { NoteLinkDefinition, Resource } from '../core/model/note';
export declare const TEST_DATA_DIR: URI;
/**
 * Turns a string into a URI
 * The goal of this function is to make sure we are consistent in the
 * way we generate URIs (and therefore IDs) across the tests
 */
export declare const strToUri: typeof URI.file;
export declare const createTestWorkspace: () => FoamWorkspace;
export declare const createTestNote: (params: {
    uri: string;
    title?: string;
    definitions?: NoteLinkDefinition[];
    links?: Array<{
        slug: string;
    } | {
        to: string;
    }>;
    tags?: string[];
    text?: string;
    sections?: string[];
    root?: URI;
}) => Resource;
export declare const wait: (ms: number) => Promise<unknown>;
export declare const randomString: (len?: number) => string;
export declare const getRandomURI: () => URI;
